﻿@model IEnumerable<lap.tel.com_project.Models.RepairStatus>

@{
    ViewData["Title"] = "Archiwum napraw";
}

<h2>Archiwum napraw</h2>

<p>
    <a class="btn btn-dark" asp-controller="Admin" asp-action="Dashboard">Powrót</a>
</p>

<table class="table">
    <thead>
        <tr>
            <th>
                @Html.DisplayNameFor(model => model.Device)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.User.NumerTel)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.RepairType)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.Status)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.DateSubmitted)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.DateCompleted)
            </th>
            <th></th>
        </tr>
    </thead>
    <tbody>
        @foreach (var item in Model)
        {
            <tr>
                <td>
                    @Html.DisplayFor(modelItem => item.Device.DeviceId)
                </td>
                <td>
                    @if (item.User != null)
                    {
                        <a class="btn btn-outline-secondary btn-sm" asp-action="UserDetails" asp-route-id="@item.User.Id">@Html.DisplayFor(modelItem => item.User.NumerTel)</a>
                    }
                    else
                    {
                        <span>Brak użytkownika</span>
                    }
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.RepairType.RepairName)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.Status)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.DateSubmitted)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.DateCompleted)
                </td>
                <td>
                    <a class="btn btn-light btn-sm" asp-controller="Devices" asp-action="Details" asp-route-id="@item.Device.DeviceId">Szczegóły</a>
                    <a class="btn btn-danger btn-sm" asp-controller="RepairStatus" asp-action="Delete" asp-route-id="@item.Device.DeviceId">Usuń</a>
                </td>
            </tr>
        }
    </tbody>
</table>
